<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('s2_shop_order_refund', function (Blueprint $table) {
            $table->tinyInteger("type")->default(1)->comment("退款类型 1:正常退款 2：代收退款")->after("status");
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('s2_shop_order_refund', function (Blueprint $table) {
            $table->dropColumn("type");
        });
    }
};
